import 'package:jaguar_serializer/jaguar_serializer.dart';


import 'package:pointpos_api/model/purchase_order_ingredients.dart';

part 'purchase_order.jser.dart';

class PurchaseOrder {
  
  @Alias('outletId', isNullable: false,  )
  final String outletId;
  
  @Alias('supplierId', isNullable: false,  )
  final String supplierId;
  
  @Alias('note', isNullable: false,  )
  final String note;
  
  @Alias('ingredients', isNullable: false,  )
  final List<PurchaseOrderIngredients> ingredients;
  
  @Alias('createdAt', isNullable: false,  )
  final DateTime createdAt;
  
  @Alias('createdBy', isNullable: false,  )
  final String createdBy;
  
  @Alias('updatedAt', isNullable: false,  )
  final DateTime updatedAt;
  
  @Alias('updatedBy', isNullable: false,  )
  final String updatedBy;
  
  @Alias('deleted', isNullable: false,  )
  final bool deleted;
  

  PurchaseOrder(
      

{
    
     this.outletId = null,  
     this.supplierId = null,  
     this.note = null,  
     this.ingredients = const [],   this.createdAt = null,  
     this.createdBy = null,  
     this.updatedAt = null,  
     this.updatedBy = null,  
     this.deleted = null 
    
    }
  );

  @override
  String toString() {
    return 'PurchaseOrder[outletId=$outletId, supplierId=$supplierId, note=$note, ingredients=$ingredients, createdAt=$createdAt, createdBy=$createdBy, updatedAt=$updatedAt, updatedBy=$updatedBy, deleted=$deleted, ]';
  }
}

@GenSerializer(nullableFields: true)
class PurchaseOrderSerializer extends Serializer<PurchaseOrder> with _$PurchaseOrderSerializer {

}

